[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TBooleanHelper.ToString

Convert a boolean value to string.

## Declaration

Source position: syshelph.inc line 642

`public class function TBooleanHelper.ToString(`
`const AValue: Boolean;`
`UseBoolStrs: TUseBoolStrs = TUseBoolStrs.False`
`):string; overload; function TBooleanHelper.ToString(`
`UseBoolStrs: TUseBoolStrs = TUseBoolStrs.False`
`):string; overload;`

## Description

ToString will, in the class method version, convert the AValue boolean to a string representation. In the function method version the boolean value itself (Self) will be converted.

If the UseBoolStrs parameter equals TUseBoolStrs.True, then the string representation will use the boolean strings BoolStrs. The default value for UseBoolStrs is TUseBoolStrs.False.

The conversion is done using the BoolTostr function.

## See also

BoolStrs
BoolToStr |  | Convert a boolean value to a string.